## node-postgres 0.4.0

=== Makefile ===
SHELL := /bin/bash

user=postgres
password=1234
host=localhost
port=5432
database=postgres
verbose=false

params := -u $(user) --password $(password) -p $(port) -d $(database) -h $(host) --verbose $(verbose)

node-command := xargs -n 1 -I file node file $(params)

.PHONY : test test-connection test-integration bench test-native build/default/binding.node
test: test-unit 

test-all: test-unit test-integration test-native

bench:
	@find benchmark -name "*-bench.js" | $(node-command)

build/default/binding.node:
	@node-waf configure build

test-unit:
	@find test/unit -name "*-tests.js" | $(node-command)

test-connection:
	@node script/test-connection.js $(params)

test-native: build/default/binding.node
	@echo "***Testing native bindings***"
	@find test/native -name "*-tests.js" | $(node-command)
	@find test/integration -name "*-tests.js" | $(node-command) --native true

test-integration: test-connection
	@echo "***Testing Pure Javascript***"
	@find test/integration -name "*-tests.js" | $(node-command)

=== debian/changelog ===
node-postgres (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Apr 2011 12:02:26 +0200

node-postgres (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 11:07:02 +0200

node-postgres (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Bump DEP5 format to daft Subversion rev.173.
    + Shorten and rewrap a comment.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Mar 2011 01:38:52 +0100

node-postgres (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 11:07:04 +0100

node-postgres (0.2.6-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#611679.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jan 2011 23:09:20 +0100

=== debian/control ===
Source: node-postgres
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo
Standards-Version: 3.9.2
Homepage: https://github.com/brianc/node-postgres
Vcs-Git: git://git.debian.org/git/collab-maint/node-postgres
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-postgres.git

Package: libnode-pg
Architecture: all
Depends: ${misc:Depends},
 nodejs
Suggests: postgresql
Description: PostgreSQL client library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-postgres is a non-blocking (async) pure JavaScript PostgreSQL
 client library for Node.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for node-postgres
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/brianc/node-postgres/
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = 2ac50eaf86bc824368a9908c7a5c34c0

DEB_INSTALL_DOCS_libnode-pg += README.md
DEB_INSTALL_EXAMPLES_libnode-pg += lib/defaults.js

binary-post-install/libnode-pg::
	mkdir -p "$(cdbs_curdestdir)/etc/nodejs/pg"
	mv "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/etc/nodejs/pg/"
	ln -sT "/etc/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js"

=== debian/watch ===
version=3
http://githubredir.debian.net/github/brianc/node-postgres .*/v(\d.*).tar.gz

## node-postgres 0.6.8

=== debian/changelog ===
node-postgres (0.6.8-1) unstable; urgency=low

  * New upstream release.
  * Git-ignore quilt .pc dir.
  * (Build-)depend on node-generic-pool.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Bump debhelper compatilibity level to 7.
  * Rename binary package libnode-pg → node-pg.
    Replace and conflict with old name.
  * Relax to build-depend unversioned on debhelper: needed version
    satisfied even in oldstable.
  * Update copyright file: Fix syntax of License field.
    Thanks to lintian.
  * Fix build and install native code.
    Build-depend on nodejs-dev and libpq-dev.
    Make binary package arch-any.
  * Add patch 2001 to fix path for native binding.
  * Enable copyright-check: Build-depend on devscripts.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2011 10:56:03 +0700

=== debian/rules ===
--- 
+++ 
@@ -18,21 +18,51 @@
 
 -include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
+
+libpkgname = node-pg
+
+# Needed both by upstream build process and at runtime
+common-depends = node-generic-pool
+
+CDBS_BUILD_DEPENDS += , nodejs-dev, libpq-dev, $(common-depends)
+CDBS_DEPENDS_$(libpkgname) = $(common-depends), nodejs
 
 # suppress optional build-dependencies
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
-CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/brianc/node-postgres/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 2ac50eaf86bc824368a9908c7a5c34c0
+DEB_UPSTREAM_TARBALL_MD5 = 89637a3997ce6e60b918beb0286da308
 
-DEB_INSTALL_DOCS_libnode-pg += README.md
-DEB_INSTALL_EXAMPLES_libnode-pg += lib/defaults.js
+# TODO: Fix node-waf to support DESTDIR for install target
+DEB_MAKE_ENVVARS = NODE_PATH="$(CURDIR)/debian/node-pg/usr/lib/nodejs/pg/native"
+DEB_MAKE_BUILD_TARGET = build/default/binding.node
+DEB_MAKE_CHECK_TARGET = test
 
-binary-post-install/libnode-pg::
+DEB_INSTALL_DOCS_$(libpkgname) += README.md
+DEB_INSTALL_EXAMPLES_$(libpkgname) += lib/defaults.js
+
+common-install-arch:: debian/stamp-node-install
+debian/stamp-node-install::
+	node-waf install
+	touch debian/stamp-node-install
+
+binary-post-install/$(libpkgname)::
 	mkdir -p "$(cdbs_curdestdir)/etc/nodejs/pg"
 	mv "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/etc/nodejs/pg/"
 	ln -sT "/etc/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js"
+
+# Node native modules has the uncommon extension .node, which prevents
+# proper detection by dh_shlibdeps, so we do it manually
+$(patsubst %,binary-strip-IMPL/%,$(DEB_ALL_PACKAGES)) ::
+	$(if $(is_debug_package)$(filter nostrip,$(DEB_BUILD_OPTIONS)),,find "$(cdbs_curdestdir)" -name "*.node" -exec strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +)
+$(patsubst %,binary-predeb-IMPL/%,$(DEB_ALL_PACKAGES)) ::
+	find "$(cdbs_curdestdir)" -name "*.node" -exec dpkg-shlibdeps -Tdebian/$(cdbs_curpkg).substvars {} +
+	find "$(cdbs_curdestdir)" -name "*.node" -exec chmod 0644 {} +
+
+clean::
+	rm -rf build
+	rm -f .lock-wscript debian/stamp-node-install

## node-postgres 0.6.9

=== debian/changelog ===
node-postgres (0.6.9-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to use more flexible regex.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Jan 2012 14:59:13 +0100

=== debian/control ===
Source: node-postgres
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.72~),
 devscripts,
 debhelper,
 dh-buildinfo,
 nodejs-dev,
 libpq-dev,
 node-generic-pool
Standards-Version: 3.9.2
Homepage: https://github.com/brianc/node-postgres
Vcs-Git: git://git.debian.org/git/collab-maint/node-postgres
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-postgres.git

Package: node-pg
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${cdbs:Depends}
Suggests: postgresql
Conflicts: libnode-pg
Provides: libnode-pg
Description: PostgreSQL client library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-postgres is a non-blocking (async) pure JavaScript PostgreSQL
 client library for Node.

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/brianc/node-postgres/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 89637a3997ce6e60b918beb0286da308
+DEB_UPSTREAM_TARBALL_MD5 = cace58d4d12602b3e1f8363d28bceceb
 
 # TODO: Fix node-waf to support DESTDIR for install target
 DEB_MAKE_ENVVARS = NODE_PATH="$(CURDIR)/debian/node-pg/usr/lib/nodejs/pg/native"

## node-postgres 0.6.13

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 .PHONY : test test-connection test-integration bench test-native build/default/binding.node
 test: test-unit 
 
-test-all: test-unit test-integration test-native
+test-all: test-unit test-integration test-native test-binary
 
 bench:
 	@find benchmark -name "*-bench.js" | $(node-command)
@@ -28,6 +28,9 @@
 test-connection:
 	@node script/test-connection.js $(params)
 
+test-connection-binary:
+	@node script/test-connection.js $(params) --binary true
+
 test-native: build/default/binding.node
 	@echo "***Testing native bindings***"
 	@find test/native -name "*-tests.js" | $(node-command)
@@ -36,3 +39,7 @@
 test-integration: test-connection
 	@echo "***Testing Pure Javascript***"
 	@find test/integration -name "*-tests.js" | $(node-command)
+
+test-binary: test-connection-binary
+	@echo "***Testing Pure Javascript (binary)***"
+	@find test/integration -name "*-tests.js" | $(node-command) --binary true

=== debian/changelog ===
node-postgres (0.6.13-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Mar 2012 02:38:05 +0100

node-postgres (0.6.12-1) unstable; urgency=low

  * Bump copyright file format to 1.0.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Mar 2012 20:31:47 +0100

node-postgres (0.6.10-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Feb 2012 13:17:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/brianc/node-postgres/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = cace58d4d12602b3e1f8363d28bceceb
+DEB_UPSTREAM_TARBALL_MD5 = 4f2a2d1b90db93d059baf926dada245d
 
 # TODO: Fix node-waf to support DESTDIR for install target
 DEB_MAKE_ENVVARS = NODE_PATH="$(CURDIR)/debian/node-pg/usr/lib/nodejs/pg/native"

## node-postgres 0.6.14

=== debian/changelog ===
node-postgres (0.6.14-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Shorten and quote license strings in comments.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Mar 2012 20:53:35 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  nodejs-dev,
  libpq-dev,
  node-generic-pool
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/brianc/node-postgres
 Vcs-Git: git://git.debian.org/git/collab-maint/node-postgres
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-postgres.git

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/brianc/node-postgres/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 4f2a2d1b90db93d059baf926dada245d
+DEB_UPSTREAM_TARBALL_MD5 = fd8a681911eca9d7cbcf33c82ba303e6
 
 # TODO: Fix node-waf to support DESTDIR for install target
 DEB_MAKE_ENVVARS = NODE_PATH="$(CURDIR)/debian/node-pg/usr/lib/nodejs/pg/native"

=== debian/watch ===
version=3
http://githubredir.debian.net/github/brianc/node-postgres .*?(\d[^/]*).tar.gz

## node-postgres 0.7.1

=== Makefile ===
SHELL := /bin/bash

connectionString=pg://postgres:5432@localhost/postgres

params := $(connectionString)

node-command := xargs -n 1 -I file node file $(params)

.PHONY : test test-connection test-integration bench test-native build/default/binding.node
test: test-unit 

test-all: test-unit test-integration test-native test-binary

bench:
	@find benchmark -name "*-bench.js" | $(node-command)

build/default/binding.node:
	@node-gyp rebuild

test-unit:
	@find test/unit -name "*-tests.js" | $(node-command)

test-connection:
	@node script/test-connection.js $(params)

test-connection-binary:
	@node script/test-connection.js $(params) binary

test-native: build/default/binding.node
	@echo "***Testing native bindings***"
	@find test/native -name "*-tests.js" | $(node-command)
	@find test/integration -name "*-tests.js" | $(node-command) native

test-integration: test-connection
	@echo "***Testing Pure Javascript***"
	@find test/integration -name "*-tests.js" | $(node-command)

test-binary: test-connection-binary
	@echo "***Testing Pure Javascript (binary)***"
	@find test/integration -name "*-tests.js" | $(node-command) binary

=== debian/changelog ===
node-postgres (0.7.1-1ubuntu1) quantal; urgency=low

  * Cope with node -> nodejs renaming.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Oct 2012 13:44:48 +0200

node-postgres (0.7.1-1) unstable; urgency=low

  * New upstream release.
    + Use node-gyp as preferred build helper.

  * Restructure build routines to apply security hardening build flags.
  * Directly use github.com URL (not githubredir.debian.net redirctor)
    when fetching upstream source.
  * Add debian/patches/README documenting patch numbering micro-policy.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Jun 2012 21:16:33 +0200

node-postgres (0.7.0-1) unstable; urgency=low

  * New upstream release.
    + Include command metadata with native query result callback.
    + Use correct parse function for float arrays.
    + Ignore writes to unwritable sockets.
    + Reduce complexity of test runner.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jun 2012 10:18:30 +0200

node-postgres (0.6.18-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 May 2012 11:12:40 +0200

node-postgres (0.6.15-1) unstable; urgency=low

  * New upstream release.

  * Use anonscm.debian.org for Vcs-Browser field.
  * Extend my copyright for Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Apr 2012 14:45:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: node-postgres
 Section: web
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs (>= 0.4.72~),
  devscripts,
@@ -13,7 +14,7 @@
 Standards-Version: 3.9.3
 Homepage: https://github.com/brianc/node-postgres
 Vcs-Git: git://git.debian.org/git/collab-maint/node-postgres
-Vcs-Browser: http://git.debian.org/?p=collab-maint/node-postgres.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-postgres.git
 
 Package: node-pg
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011, 2012 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for node-postgres
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/langcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libpkgname = node-pg

# Needed both by upstream build process and at runtime
common-depends = node-generic-pool

CDBS_BUILD_DEPENDS += , nodejs-dev, libpq-dev, $(common-depends)
CDBS_DEPENDS_$(libpkgname) = $(common-depends), nodejs

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =

DEB_UPSTREAM_URL = https://github.com/brianc/$(DEB_UPSTREAM_PACKAGE)/tarball
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_DELIMITER =
DEB_UPSTREAM_TARBALL_EXTENSION =
DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = 801729bb5dae7ca1402e711a17973030

DEB_INSTALL_DOCS_$(libpkgname) += README.md
DEB_INSTALL_EXAMPLES_$(libpkgname) += lib/defaults.js

# node-waf build routines
NODE-PATH = $(cdbs_curdestdir)usr/lib/nodejs/pg/native
NODE-WAF-BUILDFLAGS = CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LINKFLAGS="$(LDFLAGS)"
NODE-WAF = NOCOLOR=1 NODE_PATH="$(NODE-PATH)" node-waf -v
configure/$(libpkgname):: debian/stamp-node-waf-configure
debian/stamp-node-waf-configure:
	$(NODE-WAF-BUILDFLAGS) $(NODE-WAF) configure
	touch $@
build/$(libpkgname):: debian/stamp-node-waf-build
debian/stamp-node-waf-build:
	$(NODE-WAF) build
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,make test)
	touch $@
install/$(libpkgname)::
	$(NODE-WAF) install
clean::
	rm -rf build
	rm -f .lock-wscript
	rm -f debian/stamp-node-waf-configure debian/stamp-node-waf-build

binary-post-install/$(libpkgname)::
	mkdir -p "$(cdbs_curdestdir)/etc/nodejs/pg"
	mv "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/etc/nodejs/pg/"
	ln -sT "/etc/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js"

# Node modules have an uncommon extension preventing autodetection by
# dh_shlibdeps, so we do it manually
binary-strip-IMPL/$(libpkgname)::
	$(if $(is_debug_package)$(filter nostrip,$(DEB_BUILD_OPTIONS)),,find "$(cdbs_curdestdir)" -name "*.node" -exec strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +)
binary-predeb-IMPL/$(libpkgname)::
	find "$(cdbs_curdestdir)" -name "*.node" -exec dpkg-shlibdeps -Tdebian/$(cdbs_curpkg).substvars {} +

=== debian/watch ===
version=3
https://github.com/brianc/node-postgres/tags .*/tarball/v?(\d[\d\.]+)

## node-postgres 0.13.3

=== Makefile ===
SHELL := /bin/bash

connectionString=pg://

params := $(connectionString)

node-command := xargs -n 1 -I file node file $(params)

.PHONY : test test-connection test-integration bench test-native \
	build/default/binding.node jshint

help:
	@echo "make prepare-test-db [connectionString=pg://<your connection string>]"
	@echo "make test-all [connectionString=pg://<your connection string>]"

test: test-unit 

test-all: jshint test-unit test-integration test-native test-binary

bench:
	@find benchmark -name "*-bench.js" | $(node-command)

build/default/binding.node:
	@node-gyp rebuild

test-unit:
	@find test/unit -name "*-tests.js" | $(node-command)

test-connection:
	@echo "***Testing connection***"
	@node script/test-connection.js $(params)

test-connection-binary:
	@echo "***Testing binary connection***"
	@node script/test-connection.js $(params) binary

test-native: build/default/binding.node
	@echo "***Testing native bindings***"
	@find test/native -name "*-tests.js" | $(node-command)
	@find test/integration -name "*-tests.js" | $(node-command) native

test-integration: test-connection 
	@echo "***Testing Pure Javascript***"
	@find test/integration -name "*-tests.js" | $(node-command)

test-binary: test-connection-binary
	@echo "***Testing Pure Javascript (binary)***"
	@find test/integration -name "*-tests.js" | $(node-command) binary

prepare-test-db:
	@echo "***Preparing the database for tests***"
	@find script/create-test-tables.js  | $(node-command)

jshint:
	@echo "***Starting jshint***"
	@./node_modules/.bin/jshint lib

=== wscript ===
import Options, Utils
from os import unlink, symlink, popen
from os.path import exists

srcdir = '.'
blddir = 'build'
VERSION = '0.0.1'

def set_options(opt):
  opt.tool_options('compiler_cxx')

def configure(conf):
  conf.check_tool('compiler_cxx')
  conf.check_tool('node_addon')

  pg_config = conf.find_program('pg_config', var='PG_CONFIG', mandatory=True)
  pg_libdir = popen("%s --libdir" % pg_config).readline().strip()
  conf.env.append_value("LIBPATH_PG", pg_libdir)
  conf.env.append_value("LIB_PG", "pq")
  pg_includedir = popen("%s --includedir" % pg_config).readline().strip()
  conf.env.append_value("CPPPATH_PG", pg_includedir)

def build(bld):
  obj = bld.new_task_gen('cxx', 'shlib', 'node_addon')
  obj.cxxflags = ["-g", "-D_LARGEFILE_SOURCE", "-Wall"]
  obj.target = 'binding'
  obj.source = "./src/binding.cc"
  obj.uselib = "PG"

def test(test):
  Utils.exec_command("node test/native/connection-tests.js")
  Utils.exec_command("node test/native/evented-api-tests.js")

=== debian/changelog ===
node-postgres (0.13.3-1) unstable; urgency=low

  [ upstream ]
  * New upstream release(s).

  [ Jonas Smedegaard ]
  * Fix update github.com download URL in watch and rules files.
  * Drop .gitignore file.
  * Have git-import-orig suppress .gitignore files.
  * Bump dephelper compatibility level to 8.
  * Bump policy compliance claim to 3.9.5.
  * Update copyright file:
    + Fix use comment pseudo-paragraph to obey silly restrictions of
      copyright format 1.0.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Unfuzz patch 2001.
  * Update package relations:
    + Relax build-dependency on cdbs: Needed version satisfied even in
      oldstable.
  * Stop track md5sum of upstream tarball.
  * Update Vcs-Git and Vcs-Browser URLs.
  * Add patch header, and license patch same as upstream code.
  * Extend copyright coverage of packaging, and bump licensing to
    GPL-3+.
  * Fix stop run testsuite (needs custom configured Postgres anyway to
    succeed).
    Closes: bug#707503. Thanks to Lucas Nussbaum.
  * Update rules to use node-gyp (not node-waf).
    Build-depend on node-gyp.
    Closes: bug#707503. Thanks to Lucas Nussbaum.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Sep 2014 21:14:26 +0200

=== debian/control ===
Source: node-postgres
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 nodejs-dev,
 node-gyp,
 libpq-dev,
 node-generic-pool
Standards-Version: 3.9.5
Homepage: https://github.com/brianc/node-postgres
Vcs-Git: git://git.debian.org/collab-maint/node-postgres
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/node-postgres.git

Package: node-pg
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${cdbs:Depends}
Suggests: postgresql
Conflicts: libnode-pg
Provides: libnode-pg
Description: PostgreSQL client library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-postgres is a non-blocking (async) pure JavaScript PostgreSQL
 client library for Node.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011-2014 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for node-postgres
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/langcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = node-pg

# Needed by upstream build process and at runtime
deps = node-generic-pool

# Needed by upstream build process
bdeps = nodejs-dev, node-gyp, libpq-dev

# Needed at runtime
depends = nodejs

CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps)
CDBS_DEPENDS_$(pkg) = $(deps), $(depends)

DEB_UPSTREAM_URL = https://github.com/brianc/$(DEB_UPSTREAM_PACKAGE)/archive
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)

DEB_INSTALL_DOCS_$(pkg) += README.md
DEB_INSTALL_EXAMPLES_$(pkg) += lib/defaults.js

configure/$(pkg):: debian/stamp-node-gyp-configure
debian/stamp-node-gyp-configure:
	node-gyp configure
	touch $@
build/$(pkg):: debian/stamp-node-gyp-build
debian/stamp-node-gyp-build:
	V=1 $(foreach flag,CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS,$(flag)="$($(flag))") node-gyp build
	touch $@
clean::
	node-gyp clean
	rm -f debian/stamp-node-gyp-*

binary-post-install/$(pkg)::
	mkdir -p "$(cdbs_curdestdir)/etc/nodejs/pg"
	mv "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/etc/nodejs/pg/"
	ln -sT "/etc/nodejs/pg/defaults.js" "$(cdbs_curdestdir)/usr/lib/nodejs/pg/defaults.js"

# Node modules have an uncommon path and extension preventing
# autodetection by dh_shlibdeps or dh_fixperms, so we do it manually
binary-strip-IMPL/$(pkg)::
	$(if $(is_debug_package)$(filter nostrip,$(DEB_BUILD_OPTIONS)),,find "$(cdbs_curdestdir)" -name "*.node" -exec strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +)
binary-fixup/$(pkg)::
	find "$(cdbs_curdestdir)" -name "*.node" -exec chmod -x {} +
binary-predeb-IMPL/$(pkg)::
	find "$(cdbs_curdestdir)" -name "*.node" -exec dpkg-shlibdeps -Tdebian/$(cdbs_curpkg).substvars {} +

=== debian/watch ===
version=3
https://github.com/brianc/node-postgres/tags .*/archive/v?(\d[\d\.]+)\.tar\.gz

## node-postgres 7.7.1

=== Makefile ===
SHELL := /bin/sh

connectionString=postgres://

params := $(connectionString)

node-command := xargs -n 1 -I file node file $(params)

.PHONY : test test-connection test-integration bench test-native \
	 lint publish test-missing-native update-npm

all:
	npm install

help:
	@echo "make test-all [connectionString=postgres://<your connection string>]"

test: test-unit

test-all: lint test-missing-native test-unit test-integration test-native


update-npm:
	@npm i npm --global

bench:
	@find benchmark -name "*-bench.js" | $(node-command)

test-unit:
	@find test/unit -name "*-tests.js" | $(node-command)

test-connection:
	@echo "***Testing connection***"
	@node script/create-test-tables.js $(params)

test-missing-native:
	@echo "***Testing optional native install***"
	@rm -rf node_modules/pg-native
	@rm -rf node_modules/libpq
	@node test/native/missing-native.js
	@rm -rf node_modules/pg-native
	@rm -rf node_modules/libpq

node_modules/pg-native/index.js:
	@npm i --no-save pg-native

test-native: node_modules/pg-native/index.js test-connection
	@echo "***Testing native bindings***"
	@find test/native -name "*-tests.js" | $(node-command)
	@find test/integration -name "*-tests.js" | $(node-command) native

test-integration: test-connection
	@echo "***Testing Pure Javascript***"
	@find test/integration -name "*-tests.js" | $(node-command)

test-binary: test-connection
	@echo "***Testing Pure Javascript (binary)***"
	@find test/integration -name "*-tests.js" | $(node-command) binary

test-pool:
	@find test/integration/connection-pool -name "*.js" | $(node-command) binary

lint:
	@echo "***Starting lint***"
	node_modules/.bin/eslint lib

=== debian/changelog ===
node-postgres (7.7.1-3) unstable; urgency=medium

  * Add Xavier Guimard as Uploader, and removing myself,
    due to uncoordinated radical refactoring.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Jan 2019 19:27:37 +0100

node-postgres (7.7.1-2) unstable; urgency=medium

  * Set minimal version for node-xtend to 4.0.1-2

 -- Xavier Guimard <yadd@debian.org>  Fri, 04 Jan 2019 17:51:12 +0100

node-postgres (7.7.1-1) unstable; urgency=medium

  * Team upload
  * Add components (not grouped in version since upstream provides a
    package-lock.json file):
    - buffer-writer
    - packet-reader
    - pg-connection-string
    - pg-pool
    - pg-types
    - pgpass
    - pg-int8
    - postgres-array
    - postgres-bytea
    - postgres-date
    - postgres-interval
  * New upstream version 7.7.1 (Closes: #802213)
  * Remove patch
  * Switch from cdbs to dh
  * Bump debhelper compatibility level to 11
  * Declare compliance with policy 4.3.0
  * Update debian/copyright format url
  * Add node-xtend and node-split in dependencies
  * Add autopkgtest files
  * Disable one stupid ssl test that fails for an unknown reason
  * Add autopkgtest files
  * Disable one stupid ssl test
  * Add source/lintian-overrides
  * Update debian/copyright

 -- Xavier Guimard <yadd@debian.org>  Fri, 04 Jan 2019 17:45:28 +0100

=== debian/control ===
Source: node-postgres
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 11~),
               node-async,
               node-generic-pool,
               node-semver (>= 4.3.2),
               node-split,
               node-xtend (>= 4.0.1-2)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-postgres
Vcs-Git: https://salsa.debian.org/js-team/node-postgres.git
Homepage: https://github.com/brianc/node-postgres

Package: node-pg
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         node-async,
         node-semver (>= 4.3.2),
         node-split,
         node-xtend
Suggests: postgresql
Description: PostgreSQL client library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-postgres is a non-blocking (async) pure JavaScript PostgreSQL
 client library for Node.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir node_modules
	cd node_modules && for f in ../pg* ../buffer* ../packet* ../postgres-*; do \
		ln -s $$f; \
	done
	$(MAKE) test-unit
	rm -rf node_modules
endif

=== debian/watch ===
version=4
https://github.com/brianc/node-postgres/tags .*/archive/v?(\d[\d\.]+)\.tar\.gz debian

opts="searchmode=plain,pgpmode=none,component=buffer-writer" \
 https://registry.npmjs.org/buffer-writer https://registry.npmjs.org/buffer-writer/-/buffer-writer-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=packet-reader" \
 https://registry.npmjs.org/packet-reader https://registry.npmjs.org/packet-reader/-/packet-reader-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=pg-connection-string" \
 https://registry.npmjs.org/pg-connection-string https://registry.npmjs.org/pg-connection-string/-/pg-connection-string-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=pg-pool" \
 https://registry.npmjs.org/pg-pool https://registry.npmjs.org/pg-pool/-/pg-pool-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=pg-types" \
 https://registry.npmjs.org/pg-types https://registry.npmjs.org/pg-types/-/pg-types-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=pgpass" \
 https://registry.npmjs.org/pgpass https://registry.npmjs.org/pgpass/-/pgpass-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=pg-int8" \
 https://registry.npmjs.org/pg-int8 https://registry.npmjs.org/pg-int8/-/pg-int8-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=postgres-array" \
 https://registry.npmjs.org/postgres-array https://registry.npmjs.org/postgres-array/-/postgres-array-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=postgres-bytea" \
 https://registry.npmjs.org/postgres-bytea https://registry.npmjs.org/postgres-bytea/-/postgres-bytea-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=postgres-date" \
 https://registry.npmjs.org/postgres-date https://registry.npmjs.org/postgres-date/-/postgres-date-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=postgres-interval" \
 https://registry.npmjs.org/postgres-interval https://registry.npmjs.org/postgres-interval/-/postgres-interval-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

## node-postgres 7.12.1

=== debian/changelog ===
node-postgres (7.12.1-1) unstable; urgency=medium

  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Update debian/watch
  * Switch install and test to pkg-js-tools
  * Embed components: pg-cursor
  * New upstream version 7.12.1
  * Enable components tests. This embed "pff" for test only

 -- Xavier Guimard <yadd@debian.org>  Wed, 21 Aug 2019 19:45:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,19 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Xavier Guimard <yadd@debian.org>
 Section: javascript
+Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               node-async,
-               node-generic-pool,
-               node-semver (>= 4.3.2),
-               node-split,
-               node-xtend (>= 4.0.1-2)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
+               mocha <!nocheck>,
+               node-async <!nocheck>,
+               node-generic-pool <!nocheck>,
+               node-semver (>= 4.3.2) <!nocheck>,
+               node-split <!nocheck>,
+               node-xtend (>= 4.0.1-2) <!nocheck>,
+               node-tape <!nocheck>,
+               node-tap <!nocheck>,
+               pkg-js-tools (>= 0.9.3)
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-postgres
 Vcs-Git: https://salsa.debian.org/js-team/node-postgres.git
 Homepage: https://github.com/brianc/node-postgres

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,5 @@
 version=4
+opts="filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-postgres-$1.tar.gz/" \
 https://github.com/brianc/node-postgres/tags .*/archive/v?(\d[\d\.]+)\.tar\.gz debian
 
 opts="searchmode=plain,pgpmode=none,component=buffer-writer" \
@@ -33,3 +34,9 @@
 
 opts="searchmode=plain,pgpmode=none,component=postgres-interval" \
  https://registry.npmjs.org/postgres-interval https://registry.npmjs.org/postgres-interval/-/postgres-interval-(\d[\d\.]*)@ARCHIVE_EXT@ ignore
+
+opts=\
+component=pg-cursor,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-node-pg-cursor-$1.tar.gz/ \
+ https://github.com/brianc/node-pg-cursor/tags .*/archive/v?([\d\.]+).tar.gz ignore

## node-postgres 7.14.0

=== Makefile ===
--- 
+++ 
@@ -62,4 +62,6 @@
 
 lint:
 	@echo "***Starting lint***"
-	node_modules/.bin/eslint lib
+	node -e "process.exit(Number(process.versions.node.split('.')[0]) < 8 ? 0 : 1)" \
+	  && echo "***Skipping lint (node version too old)***" \
+	  || node_modules/.bin/eslint lib

=== debian/changelog ===
node-postgres (7.14.0-3) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Declare compliance with policy 4.6.0
  * Fix filenamemangle
  * Fix test for tap >= 15 (Closes: #1009525)
  * Fix test for nodejs >= 14

 -- Yadd <yadd@debian.org>  Wed, 13 Apr 2022 13:00:59 +0200

node-postgres (7.14.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * Use dh-sequence-nodejs
  * Fix buffer-writer test for mocha ≥ 7 (Closes: #978313)
  * Install all components in main nodejs dir

 -- Xavier Guimard <yadd@debian.org>  Sun, 27 Dec 2020 07:48:30 +0100

node-postgres (7.14.0-1) unstable; urgency=medium

  * Update debian/copyright
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * New upstream version 7.14.0
  * Embed components: pg-numeric
  * Add pg-numeric test
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sun, 24 Nov 2019 13:25:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: node-postgres
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Xavier Guimard <yadd@debian.org>
+Uploaders: Yadd <yadd@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                mocha <!nocheck>,
                node-async <!nocheck>,
                node-generic-pool <!nocheck>,
@@ -13,11 +13,12 @@
                node-xtend (>= 4.0.1-2) <!nocheck>,
                node-tape <!nocheck>,
                node-tap <!nocheck>,
-               pkg-js-tools (>= 0.9.3)
-Standards-Version: 4.4.0
+               dh-sequence-nodejs
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-postgres
 Vcs-Git: https://salsa.debian.org/js-team/node-postgres.git
 Homepage: https://github.com/brianc/node-postgres
+Rules-Requires-Root: no
 
 Package: node-pg
 Architecture: all
@@ -28,6 +29,7 @@
          node-split,
          node-xtend
 Suggests: postgresql
+Provides: ${nodejs:Provides}
 Description: PostgreSQL client library for Node
  Node is an event-based server-side JavaScript engine.
  .

=== debian/watch ===
version=4
opts="filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-postgres-$1/" \
https://github.com/brianc/node-postgres/tags .*/archive/.*/v?(\d[\d\.]+)\.tar\.gz debian

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=buffer-writer" \
 https://registry.npmjs.org/buffer-writer https://registry.npmjs.org/buffer-writer/-/buffer-writer-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=packet-reader" \
 https://registry.npmjs.org/packet-reader https://registry.npmjs.org/packet-reader/-/packet-reader-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pg-connection-string" \
 https://registry.npmjs.org/pg-connection-string https://registry.npmjs.org/pg-connection-string/-/pg-connection-string-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pg-pool" \
 https://registry.npmjs.org/pg-pool https://registry.npmjs.org/pg-pool/-/pg-pool-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pg-types" \
 https://registry.npmjs.org/pg-types https://registry.npmjs.org/pg-types/-/pg-types-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pgpass" \
 https://registry.npmjs.org/pgpass https://registry.npmjs.org/pgpass/-/pgpass-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=pg-int8" \
 https://registry.npmjs.org/pg-int8 https://registry.npmjs.org/pg-int8/-/pg-int8-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=postgres-array" \
 https://registry.npmjs.org/postgres-array https://registry.npmjs.org/postgres-array/-/postgres-array-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=postgres-bytea" \
 https://registry.npmjs.org/postgres-bytea https://registry.npmjs.org/postgres-bytea/-/postgres-bytea-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=postgres-date" \
 https://registry.npmjs.org/postgres-date https://registry.npmjs.org/postgres-date/-/postgres-date-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=postgres-interval" \
 https://registry.npmjs.org/postgres-interval https://registry.npmjs.org/postgres-interval/-/postgres-interval-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts=\
ctype=nodejs,\
component=pg-cursor,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-node-pg-cursor-$1/ \
 https://github.com/brianc/node-pg-cursor/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=pg-numeric,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-pg-numeric-$1/ \
 https://github.com/charmander/pg-numeric/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore

## node-postgres 8.8.0%2B~cs35.9.20

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=nodejs
	ln -s ../packages/pg node_modules/pg
	tsc -b

## node-postgres 8.8.0+~cs35.9.20

=== Makefile ===
.PHONY: publish-patch test

test:
	npm test

patch: test
	npm version patch -m "Bump version"
	git push origin master --tags
	npm publish

minor: test
	npm version minor -m "Bump version"
	git push origin master --tags
	npm publish

=== packages/pg/Makefile ===
SHELL := /bin/sh

connectionString=postgres://

params := $(connectionString)

node-command := xargs -n 1 -I file node file $(params)

.PHONY : test test-connection test-integration bench test-native \
	 publish test-missing-native update-npm

all:
	npm install

help:
	@echo "make test-all [connectionString=postgres://<your connection string>]"

test: test-unit

test-all: test-missing-native test-unit test-integration test-native


update-npm:
	@npm i npm --global

bench:
	@find benchmark -name "*-bench.js" | $(node-command)

test-unit:
	@find test/unit -name "*-tests.js" | $(node-command)

test-connection:
	@echo "***Testing connection***"
	@node script/create-test-tables.js $(params)

test-missing-native:
	@echo "***Testing optional native install***"
	@rm -rf node_modules/pg-native
	@rm -rf node_modules/libpq
	@node test/native/missing-native.js
	@rm -rf node_modules/pg-native
	@rm -rf node_modules/libpq

node_modules/pg-native/index.js:
	@npm i --no-save pg-native

test-native: node_modules/pg-native/index.js test-connection
	@echo "***Testing native bindings***"
	@find test/native -name "*-tests.js" | $(node-command)
	@find test/integration -name "*-tests.js" | $(node-command) native

test-integration: test-connection
	@echo "***Testing Pure Javascript***"
	@find test/integration -name "*-tests.js" | $(node-command)

test-binary: test-connection
	@echo "***Testing Pure Javascript (binary)***"
	@find test/integration -name "*-tests.js" | $(node-command) binary

test-pool:
	@find test/integration/connection-pool -name "*.js" | $(node-command) binary

=== debian/changelog ===
node-postgres (8.8.0+~cs35.9.20-1) unstable; urgency=medium

  * Fix test (Closes: #1020132)
  * Embed obuf, pg-native, postgres-range and typescript declarations
  * New upstream version 8.8.0+~cs35.9.20
  * Build with typescript
  * Update dependencies
  * Update copyright

 -- Yadd <yadd@debian.org>  Wed, 05 Oct 2022 08:40:44 +0200

=== debian/control ===
Source: node-postgres
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , chai <!nocheck>
 , mocha <!nocheck>
 , node-async <!nocheck>
 , node-generic-pool <!nocheck>
 , node-libpq <!nocheck>
 , node-semver <!nocheck>
 , node-split2 <!nocheck>
 , node-tap <!nocheck>
 , node-tape <!nocheck>
 , node-typescript
 , node-xtend <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-postgres
Vcs-Git: https://salsa.debian.org/js-team/node-postgres.git
Homepage: https://github.com/brianc/node-postgres
Rules-Requires-Root: no

Package: node-pg
Architecture: all
Depends: ${misc:Depends}
 , node-async
 , node-libpq
 , node-readable-stream
 , node-split2
 , node-xtend
Suggests: postgresql
Provides: ${nodejs:Provides}
Description: PostgreSQL client library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-postgres is a non-blocking (async) pure JavaScript PostgreSQL
 client library for Node.

## node-postgres 8.12.0+~cs35.15.26

=== debian/changelog ===
node-postgres (8.12.0+~cs35.15.26-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.12.0+~cs35.15.26

 -- Yadd <yadd@debian.org>  Tue, 02 Jul 2024 16:35:38 +0400

node-postgres (8.11.5+~cs35.14.26-2) unstable; urgency=medium

  * Team upload
  * Add patch to declare pg-cloudflare as module

 -- Yadd <yadd@debian.org>  Wed, 17 Apr 2024 16:38:27 +0400

node-postgres (8.11.5+~cs35.14.26-1) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-4
  * Remove patches disable-one-ssl-test.patch, fix-buffer-writer-test.patch,
    fix-test-for-node-14.patch that are missing from debian/patches/series
  * Declare compliance with policy 4.7.0
  * New upstream version 8.11.5+~cs35.14.26

 -- Yadd <yadd@debian.org>  Fri, 12 Apr 2024 06:58:20 +0400

## node-postgres 8.12.0+~cs35.15.30

=== debian/changelog ===
node-postgres (8.12.0+~cs35.15.30-1) unstable; urgency=medium

  * Team upload
  * New upstream version (updates TS declarations)

 -- Yadd <yadd@debian.org>  Sat, 14 Sep 2024 15:32:07 +0400

## node-postgres 8.13.1+~cs35.16.30

=== debian/changelog ===
node-postgres (8.13.1+~cs35.16.30-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.13.1+~cs35.16.30

 -- Yadd <yadd@debian.org>  Mon, 28 Oct 2024 08:02:26 +0100
